Package com.sas.lsaf.security.privilege

## Class InvalidPrivilegeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sas.lsaf.core.AbstractCheckedException
      - - com.sas.lsaf.security.privilege.PrivilegeException
        - - com.sas.lsaf.security.privilege.InvalidPrivilegeException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class InvalidPrivilegeException
      extends PrivilegeException

  Thrown when a specified privilege is not defined or is not associated with the specified scope.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidPrivilegeException​(java.lang.String message, java.util.Set<Privilege> privileges)` | Constructs an `InvalidPrivilegeException` with the specified detail message and invalid privileges.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<Privilege>` | `getPrivileges()` | Gets the set of invalid privileges.

    - ### Methods inherited from class com.sas.lsaf.core.AbstractCheckedException

      `getMessage, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidPrivilegeException

          public InvalidPrivilegeException​(java.lang.String message,
                                           java.util.Set<Privilege> privileges)

      Constructs an `InvalidPrivilegeException` with the specified detail message and invalid privileges.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `AbstractCheckedException.getMessage()` method).
        `privileges` - the set of privileges that are invalid.

  - ### Method Detail

    - #### getPrivileges

          public java.util.Set<Privilege> getPrivileges()

      Gets the set of invalid privileges.
      Returns:
        The set of invalid privileges.